﻿using System;
using System.ComponentModel;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;
using DevExpress.Xpo;

namespace Solution1Test.Module.BusinessObjects
{
    [DefaultClassOptions]
    [DefaultProperty("Title")]
    public class Department : BaseObject
    {
        public Department(Session session)
            : base(session)
        {
        }

        /// <summary>Имя департамента</summary>
        public String Title
        {
            get { return GetPropertyValue<String>("Title"); }
            set { SetPropertyValue("Title", value); }
        }


        [Association("Department-SchedulerObjects")]
        public XPCollection<SchedulerObject> SchedulerObjects
        {
            get
            {
                return GetCollection<SchedulerObject>("SchedulerObjects");
            }
        }
    }
}
